﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RiskAssessmentRCM
@{
    ViewData["Title"] = "Index";
}

<script>
    $(document).ready(function () {
        $('.multiple').multiselect({
            enableFiltering: true,
            includeSelectAllOption: true
        });
        $('#FirstView').show();
        $('#SecondView').hide();
        $("#ThirdView").hide();
        $("#FourthView").hide();
        $("#FromDate").datepicker({
            dateFormat: 'dd/mm/yy',
            autoclose: true
        }).datepicker("setDate", new Date());
        $("#ToDate").datepicker({
            dateFormat: 'dd/mm/yy',
            autoclose: true
        }).datepicker("setDate", new Date());
    });
    if ($("#ID").val() > 0) {
        $(".titile_heading h1").html("Compliance against a particular standard/ regulation");
        $(".service_line").addClass("active");
        $(".assign_panel").hide();
        $(".titile_heading").show();
    } else {
        $(".titile_heading h1").html("Compliance against a particular standard/ regulation");
        $(".service_line").removeClass("active");
        $(".assign_panel").show();
        $(".titile_heading").show();
    }
    $('#example2').DataTable();
</script>
<script src="~/Script/ApplicationManagement/StandardRegulationRCM.js"></script>

<style>

    i.fa.fa-calendar {
        color: rgb(0, 125, 169) !important;
        margin-top: 0px !important;
        position: absolute;
        right: 20px !important;
        top: 35px !important;
        font-size: 20px;
    }

    .radio2 {
        margin-top: 10px;
    }

    .titile_heading h1 {
        font-family: auto;
        font-size: 22px;
        padding: 4px 15px 3px;
        margin: 0;
        color: #0091da;
        text-transform: uppercase;
    }

    tr td:first-child {
        text-align: left;
    }

    .back_btn_in input[type="submit"], .back_btn_in input[type="button"] {
        width: 100%;
        float: left;
        padding: 8px 25px;
        border: none;
        background: #00a3a1 !important;
        color: #fff;
        text-align: center;
        font-size: 14px;
        border-radius: 20px;
    }

    .qesBank td {
        padding: 15px 0px;
    }

        .qesBank td:first-child {
            width: 48%;
        }

        .qesBank td:nth-child(2) {
            padding-left: 30px;
        }

            .qesBank td:nth-child(2) .radio-inline {
                margin-right: 30px;
            }

    .table_control2 th {
        background-color: #00a3a1;
        color: #fff;
        font-weight: normal;
    }
    .clsScore {
        font-size: 20px;
        font-weight: 600;
    }
</style>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Compliance against a particular standard/ regulation</h1>
            <div class="titile_line"></div>
        </div>
        @if (ViewBag.message != null)
        {
            <script>toastr.success('@ViewBag.message')</script>
        }
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line" id="dvForm">
                        <form asp-area="ApplicationManagement" asp-controller="ComplianceStandardRegulationRCM" asp-action="SubmitStandardRegulationRCM" id="form" method="post"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading..."
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/ComplianceStandardRegulationRCM/Index');"
                              data-ajax-failure="Errmsg(data);">
                            @Html.HiddenFor(m => m.ID)
                            @Html.HiddenFor(m => m.CountryIDs)
                            @Html.HiddenFor(m => m.SectorIDs)
                            @Html.HiddenFor(m => m.StandardIds)
                            @Html.HiddenFor(m => m.xmlStandardRegulation)

                            <div id="FirstView">
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label class="required">From Date</label>
                                        <div class="select_box m_bottom">
                                            @Html.TextBoxFor(m => m.FromDate, new { @class = "form-control m_no" })
                                            <i class="fa fa-calendar" id="faDateOfPurchase"></i>
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label class="required">To Date</label>
                                        <div class="select_box m_bottom">
                                            @Html.TextBoxFor(m => m.ToDate, new { @class = "form-control m_no" })
                                            <i class="fa fa-calendar" id="faDateOfPurchase"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="row pt-3">
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <div class="back_btn">
                                            <div class="back_btn_in">
                                                <input type="button" id="btnBackFirstView" name="Submit" value="Save & Next" onclick="fn_MoveForward(1)">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="SecondView">
                                <div class="row">
                                    <div class="col-md-7 offset-md-2">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="tabsection">
                                                    Select Sector
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="select_box m_bottom">
                                                    @Html.DropDownListFor(m => m.SectorID, Model.DdlSector, "Select", new { @class = "form-control m_no multiple", multiple = "multiple" })
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mt-3">
                                            <div class="col-sm-6">
                                                <div class="tabsection">
                                                    Select country of operation
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="select_box m_bottom">
                                                    @Html.DropDownListFor(m => m.CountryID, Model.DdlCountry, "Select", new { @class = "form-control m_no multiple", required = "required", multiple = "multiple" })
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mt-3">
                                            <div class="col-sm-6">
                                                <div class="tabsection">
                                                    Standards
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="select_box m_bottom">
                                                    @Html.DropDownListFor(x => x.StandardId, Model.DdlInternationalStandard, "Select Standards", new { @class = "form-control m_no multiple", multiple = "multiple" })
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row pt-3">
                                    <div class="col-md-4 col-sm-12 col-xs-12">
                                        <div class="back_btn  pull-left">
                                            <div class="back_btn_in">
                                                <input type="button" class="btnBackWizard" name="Submit" value="Back" onclick="fn_MoveBackward(1)">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-8 col-sm-12 col-xs-12">
                                        <div class="back_btn">
                                            <div class="back_btn_in">
                                                <input type="button" id="btnBackSecondView" name="Submit" value="Save & Next" onclick="fn_MoveForward(2)">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="ThirdView">
                                <div class="row pt-3">
                                    <div class="col-md-6 col-sm-12 col-xs-12">
                                        <div class="table_control">
                                            <table class="table" id="tblVersion">
                                                <thead>
                                                    <tr>
                                                        <th></th>
                                                        <th>SNo</th>
                                                        <th>Service</th>
                                                        <th>Standards</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-12 col-xs-12">
                                        <div class="table_control">
                                            <table class="table" id="tblRegulationRCM">
                                                <thead>
                                                    <tr>
                                                        <th></th>
                                                        <th>SNo</th>
                                                        <th>Country</th>
                                                        <th>Sector</th>
                                                        <th>Regulation</th>
                                                        <th>RequirementId</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row pt-3">
                                    <div class="col-md-4 col-sm-12 col-xs-12">
                                        <div class="back_btn  pull-left">
                                            <div class="back_btn_in">
                                                <input type="button" class="btnBackWizard" name="Submit" value="Back" onclick="fn_MoveBackward(2)">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-8 col-sm-12 col-xs-12">
                                        <div class="back_btn">
                                            <div class="back_btn_in">
                                                <input type="button" id="btnBackThirdView" name="Submit" value="Generate RCM" onclick="fn_MoveForward(3)">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="FourthView">
                                <div class="row pt-3">
                                    <div hidden>
                                        <select class='form-control m_no ClsTestDesign' asp-items="@Model.ddlTestofDesign"><option>--Select--</option></select>
                                    </div>
                                    <div class="col-md-12 col-sm-6 col-xs-12">
                                        <div class="table_control2">
                                            <table class="table table-bordered clsComplianceScore" style="background-color:white;font-size:13px" id="tblComplianceScore">
                                                <thead>
                                                    <tr>
                                                        <th hidden>SubDomainID</th>
                                                        <th hidden>ID</th>
                                                        <th>Control Domain</th>
                                                        <th>Control Id</th>
                                                        <th>Control Name</th>
                                                        <th>Control Description</th>
                                                        <th>Test of Design</th>
                                                        <th>Test of Operating Effectiveness</th>
                                                        <th>Overall Effectiveness</th>
                                                        <th>Domain Effectiveness Score</th>
                                                        <th>Remarks / Observation</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row pt-3">
                                    <div class="col-md-4 col-sm-12 col-xs-12">
                                        <div class="back_btn  pull-left">
                                            <div class="back_btn_in">
                                                <input type="button" class="btnBackWizard" name="Submit" value="Back" onclick="fn_MoveBackward(3)">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-8 col-sm-12 col-xs-12">
                                        <div class="back_btn">
                                            <div class="back_btn_in">
                                                <input type="submit" id="btnBackFourthView" name="Submit" value="Submit" onclick="fn_SaveMultipleCheckbox();">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="assign_panel assign_section" id="dvDataTable">
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width:70px">SN</th>
                                                <th>Parent Organization Name</th>
                                                <th>Child Organization Name</th>
                                                <th>From Date</th>
                                                <th>To Date</th>
                                                <th>Status</th>
                                                <th style="width:100px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.AssessMentList)
                                            {
                                            <tr>
                                                <td>@(++sn)</td>
                                                <td>@item.ParentOrgName</td>
                                                <td>@item.ChildOrgName</td>
                                                <td>@item.FromDate.ToString("dd/MM/yyyy")</td>
                                                <td>@item.ToDate.ToString("dd/MM/yyyy")</td>
                                                <td>
                                                    @if (item.Status == 0)
                                                    {
                                                        <label style="color:red">Pending</label>
                                                    }
                                                    else if (item.ToDate > DateTime.Now)
                                                    {
                                                        <label style="color:red">InComplete</label>
                                                    }
                                                    else
                                                    {
                                                        <label style="color:green">Completed</label>
                                                    }
                                                </td>
                                                <td>
                                                    <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-ID="@item.ID" asp-controller="ComplianceStandardRegulationRCM" asp-area="ApplicationManagement" class="edit_btn"></a>
                                                </td>
                                            </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


